Aetherius [(GZDoom 4.6.1+) for Doom/Heretic/Hexen/Strife]

Projects that alter game functions but do not include new maps belong here.
Forum rules
The Projects forums are ONLY for YOUR PROJECTS! If you are asking questions about a project, either find that project's thread, or start a thread in the General section instead.

Got a cool project idea but nothing else? Put it in the project ideas thread instead!

Projects for any Doom-based engine (especially 3DGE) are perfectly acceptable here too.

Please read the full rules for more details.

Re: Aetherius [(GZDoom 3.3.1+) for Doom/Heretic/Hexen/Strife

Postby marco.nadal.75 » Wed Apr 11, 2018 7:38 am

Apteral10,

I know what you mean. It took me a while to figure out, too.

I have a main folder D:\Doom\ that contains all the IWADs. It contains subfolders, one for each source port or variant, like \Doom\Zandronum, \Doom\ScoreDoom, \Doom\gzdoom-stable, \Doom\gzdoom-latest-build and so on.
It also has \Doom\IDE, which is the launcher app I use for 99% of all my Dooming.
But oddball mods like Aetherius or Voxel Chibi, they need their own folder.

I don't quite remember, but I think I just unzipped gzdoom-bin-3-3-1 to \Doom\Aetherius\ and all the Aetherius files into the same folder.
My \Doom\Aetherius\ folder contains these files:

Code: Select allExpand view
         
         247,578 brightmaps.pk3
      12,408,292 DOOM.WAD
              74 doom2.bat
      14,604,584 DOOM2.WAD
  <DIR>          DV-DS-ComboPack
  <DIR>          DV-DS-CompatPacks
  <DIR>          DV-DS-iDTech1
              84 epic2.bat
      37,243,712 epic2.wad
             445 error.txt
       1,503,232 fmodex64.dll
          38,689 gzdoom-marco75.ini
       7,687,680 gzdoom.exe
       1,099,760 gzdoom.pk3
       3,283,278 gzdoom.sf2
              92 heretic.bat
       1,105,408 libfluidsynth64.dll
         336,047 libmpg123-0.dll
       1,541,632 libsndfile-1.dll
          32,713 licenses.zip
          24,052 lights.pk3
         873,472 OpenAL32.dll
              77 plutonia.bat
      17,420,824 PLUTONIA.WAD
              72 tnt.bat
      18,195,736 TNT.WAD
marco.nadal.75
 
Joined: 14 Oct 2017

Re: Aetherius [(GZDoom 3.3.1+) for Doom/Heretic/Hexen/Strife

Postby Apteral10 » Wed Apr 11, 2018 9:34 am

Thank you Marco but another problem is that how I run this mod? I skipped this the first time because I just couldn't figure it out and didn't bother to ask. Right now I am on down time what comes on game I play a lot. I somewhat need something to keep me busy.
Apteral10
 
Joined: 20 Jan 2018

Re: Aetherius [(GZDoom 3.3.1+) for Doom/Heretic/Hexen/Strife

Postby PlayerLin » Wed Apr 11, 2018 9:44 am

Because Aetherius using PK3-style of directory structure for its files, and since all of mod data are put on Github for better version controlling if I'm not mistake about Lord Misfit's intends, so it's not easy to launch without a little tricks. :P

Put mod files into the sub-folder/sub-directory is the only way(or better way) to make sure the mod properly loaded.

My main DooM/GZDooM directory on "D:\GAME\GLZDoom\" ,the GZDooM exe and related files are here, put DV-DS-ComboPack, DV-DS-CompatPacks and DV-DS-iDTech1 directories on my GLZDooM directory(just like marco.nadal.75 did, in my case: they're in sub-directory of "D:\GAME\GLZDoom\", their absolute path will be "D:\GAME\GLZDoom\DV-DS-ComboPack\", "D:\GAME\GLZDoom\DV-DS-CompatPacks\" and "D:\GAME\GLZDoom\DV-DS-iDTech1\"), then I use a .bat to start the mod, here is my example bat file for run all IWADs with this mod.

Code: Select allExpand view
start gzdoom -iwad doom.wad -file "DV-DS-ComboPack" "DV-DS-CompatPacks/Doom" +hud_scale 0 exit
rem start gzdoom -iwad doom2.wad -file "DV-DS-ComboPack" +hud_scale 0 exit
rem start gzdoom -iwad heretic.wad -file "DV-DS-ComboPack" "DV-DS-idTech1/Heretic" +hud_scale 0 exit
rem start gzdoom -iwad hexen.wad -file "DV-DS-ComboPack" "DV-DS-idTech1/Hexen" +hud_scale 0 exit
rem start gzdoom -iwad hexdd.wad -file "DV-DS-ComboPack" "DV-DS-idTech1/Hexen" "DV-DS-idTech1/HexDD" +hud_scale 0 exit
rem start gzdoom -iwad strife1.wad -file "DV-DS-ComboPack" "DV-DS-idTech1/Strife" +hud_scale 0 exit


These command lines based the Lord Misfit's suggestion on his(? :P) github site for the mod(also on the first post of this thread, I forgot that).

Each line for each IWADs/Patches, "rem" means "comments" in batch file format, nothing will executes after the "rem" command. If I want play HEXEN now, I will put "rem" in front of first line and remove the 4th line's "rem", after that, saved the .bat file, double-click on it to run, if nothing wrong the mod should be running.

BTW, due each IWADs/supported PWADs needed loads their correspondpatch files, not recommend to just use a simple command and with GZDooM's bulit-in IWAD selector to start the mod, unless you know what are you doing and changing correspond commands for each one.
User avatar
PlayerLin
 
Joined: 11 Nov 2007
Location: XinZhuang, XinBei/New Taipei City(Former Taipei County), Taiwan.
Operating System: Windows Vista/7/2008 64-bit
OS Test Version: No (Using Stable Public Version)
Graphics Processor: nVidia with Vulkan support

Re: Aetherius [(GZDoom 3.3.1+) for Doom/Heretic/Hexen/Strife

Postby Lord Misfit » Wed Apr 11, 2018 11:27 am

Of course a ton of posts to the topic come up during a busier than normal week for me when I can't immediately get back to people. x.x

My apologies to people who are having a hard time getting this mod running in the first place. I've clearly underestimated the level of complexity in some of my instructions it seems.

The thing is I generally advise a new folder for the mod with it's own personal gzdoom version [and I should've also said to copy your GZDoom-[username].ini to the folder too] due to how often other mods people play have dependancies on specfic [G]ZDoom versions or devbuilds, and telling them to put everything in their primary folder with the recommended version could overwrite a [g]zdoom.exe and break its compatibilty with other mods and really piss off people over it. My aim was to avoid that, but in doing so, it does layer on a bit more complexity to things.

Another thing that's not always clear is that when loading the mod with a different game or a map compatibility pack, you're not supposed to load the entire "DV-DS-iDTech1"/"DV-DS-CompatPacks" folder, but a specific SUBfolder within them that corresponds to the game or mapset in question [i.e. the "Heretic" subfolder for playing Heretic, the "Epic2" subfolder for that, etc]. However, just to reclarify: the ENTIRE "DV-DS-ComboPack" folder still must be loaded to play the mod, this just doesn't apply to the other packs seperate from it.

Also, since the mod is in a folder-based format (which I AM NOT MAKING INTO A .PK3 due to the annoyance it adds to updating the git repos, to cut off that question before it's asked), it makes using ZDL to run it basically impossible since ZDL doesn't load folders for some reason x.x. I've found ZDE [ZDoom Executor] can be a good alternative though, since it DOES load folders directly as well as .wad/pk3/pk7/etc. [also as a personal note: I'm more used to using command lines over ZDL or ZDE personally, so I'm not that experienced in the use of ZDL, and only somewhat more with ZDE, hence my instructions being more command line based than based around a launcher]

Also, another thing that's more related to my own personal handling of the mod, is that on my system, I have a git related client, specifically TortoiseGit, and that allows me to quickly update the repositories, and also clone other repositories for peoples mods/etc into a certain part of my HDD, where if I want to quickly update an existing mod that uses git repos, I can just do something akin to a pull request and it updates only the files that are necessary. This process is also one that does NOT append "-master" onto the main folders for those repositories, unlike downloading the zip file off of the github website from a repository. However I'm not the best at explaining how to install these kinds of clients, and if you want to do this kind of stuff for yourself, you would have to sort out downloading and installing this kind of git client on your own time. x.x
User avatar
Lord Misfit
Servant of Aetherius? Servant of Siel?
 
Joined: 27 Dec 2006
Location: Canton, OH
Discord: Lord Misfit#9594

Re: Aetherius [(GZDoom 3.3.1+) for Doom/Heretic/Hexen/Strife

Postby Apteral10 » Wed Apr 11, 2018 4:35 pm

I am just going to be straight and honest... DO NOT bother with the .bat file tricks... They honestly aren't worth it because of the "If you have one letter or number wrong it doesn't work" BS which is a huge headache. The just like the Mod creator suggests use the ZDE. I got to use it and I am almost done playing through Ultimate doom and I have to say that this mod is awesome. Two major problems I encountered was that I couldn't switch back to my staff (As Flora) if I picked up Imp's claw or some kind of wand. I had to drop the actual weapon to wield it again. Which for now is very nice. Another major problem is how busy the game can get if you have gotten a lot of stuff (mostly this being caused by increased melee damage by berserk packs of both variations since they increase stamina) which does impact game play quite a lot. (I have FX-8350) and good god how the painful it was to play the game when FPS dropped to something like 2 or 5 per second.

These are two things I suggest working on immediately. Great work if possible do consider making this an actual wad or PK3 because players from hardcore to casual will appreciate it since they are so simple to use... Although do remember I wrote IF possible. This is quite a lot of stuff in this mod so I wouldn't so surprised if you can't push this all in to a PK or Wad form.
Apteral10
 
Joined: 20 Jan 2018

Re: Aetherius [(GZDoom 3.3.1+) for Doom/Heretic/Hexen/Strife

Postby Lord Misfit » Wed Apr 11, 2018 6:13 pm

Apteral10 wrote:Two major problems I encountered was that I couldn't switch back to my staff (As Flora) if I picked up Imp's claw or some kind of wand. I had to drop the actual weapon to wield it again.


I have never encountered a bug like this before, just to note, so I can't give you advice yet on how to get around that.

Apteral10 wrote:Which for now is very nice. Another major problem is how busy the game can get if you have gotten a lot of stuff (mostly this being caused by increased melee damage by berserk packs of both variations since they increase stamina) which does impact game play quite a lot. (I have FX-8350) and good god how the painful it was to play the game when FPS dropped to something like 2 or 5 per second.


Huh. I have a i7-7700HQ, which according to UserBenchMark, is only 25-30% better overall than your processor [i.e @ http://cpu.userbenchmark.com/Compare/AM ... 9vsm211019 ]. I own a 1070GTX GPU though, and while I have tried in the past months to improve performance, I can only go so far with my limited knowledge of ZScript currently, and the fact there's a lot of systems running in the background no matter how we slice it.

In the meantime though, you might want to change "[NEW] Meter Detail" in the mod's "HUD Options" to something like "Medium" or "Low" [it's "Very High" by default]. The settings affect how many notches that are in each lifebar. The longer lifebars have 200 notches on "Very High" [0.5%], 100 [1.0%] on High, 50 [2.0%] on Medium, and 20 [5.0%] on low. Since there are a lot of lifebars, that affects the total # of notches displayed on the HUD, which even on my system causes some FPS drops at times when it's on "Very High". Also the HUD is currently ACS-powered, but while I want to port it out, some people who have done test attempts have reported issues that in ZScript the lifebar notches might even by MORE resource-intensive right now, so I'm stuck with it in ACS right now. :\

Additionally if you want certain bars to disappear altogether for better performance, you can disable them in the same menu [i.e. the Kill/Secret/Item bars, the Tension Bars, the Quickspell Bars, the bars for the primary and secondary meters themselves, etc.

Apteral10 wrote:These are two things I suggest working on immediately. Great work if possible do consider making this an actual wad or PK3 because players from hardcore to casual will appreciate it since they are so simple to use... Although do remember I wrote IF possible. This is quite a lot of stuff in this mod so I wouldn't so surprised if you can't push this all in to a PK or Wad form.


Okay, so I guess I didn't explain it well enough about the problem between "Folder vs PK3/WAD". Aetherius's three git repos are constantly updated with minor file updates over the course of even a few weeks. When the mod is in folder format, all of the individual files are separate on the git repos. This makes updating SIGNIFICANTLY quicker and easier for me, since updating only changes the altered files and uploads them, most of those constantly-changed files are small [under 500kb]. If I suddenly convert the Folder to PK3, then it becomes a few single files that depending on the repo are large overall.

This ultimately means that while it's easier for the players to load the mod up due to less files, it becomes a lot longer for me to update the repos because a single minor change to a PK3/WAD file forces the repo to upload the ENTIRE PK3/WAD's worth of space per update. I hate to say it, but I perfer to be able to quickly update the repo over the quicker access for a player since most of my repo updates are minor-ish level changes like balance tweaks or bugs I find and have to quickly fix, so using single PK3/WAD files means I would have to space out updates, which does not work for me personally. I apologize if I sound a bit blunt on this subject, but that's just how it has to be. x.x

This is also why I mentioned my using a git client earlier. For me when I update the repo of another modder's project, it will only need to download and update/add exactly the necessary files to get the mod up to date. This is a lot more easy for someone to do versus downloading a couple of files that are possibly 100s of MB for a possibly minor mod update. I do understand of course it might not be something all people can figure out how to do though, hence why there's still the other options.
User avatar
Lord Misfit
Servant of Aetherius? Servant of Siel?
 
Joined: 27 Dec 2006
Location: Canton, OH
Discord: Lord Misfit#9594

Re: Aetherius [(GZDoom 3.3.1+) for Doom/Heretic/Hexen/Strife

Postby Apteral10 » Wed Apr 11, 2018 10:48 pm

I ran the game on Doom 2 and the weapon problem was gone there... Probably might be something wrong on how I executed the running of the mod or something wrong in general with how Doom 1 runs things... I have no idea...

What comes on my suggestion. You are the creator of this mod. It is your choice and I have nothing against rolling with how you want things to work what comes on your mod since you provided me very easy way to actually play them. One thing I am interested you working on completing is the codex. I would like to know what's what or a bit more information about them just to satisfy my curiosity.

On my play through of Doom 2 with Maps of Chaos OverKill version. I managed to get all but one piece of enhanced clothing and I couldn't get the last one to drop at all for some reason. Very likely something with RNG. I even had 512 deftness.
Apteral10
 
Joined: 20 Jan 2018

Re: Aetherius [(GZDoom 3.3.1+) for Doom/Heretic/Hexen/Strife

Postby IDKrisis » Tue Apr 24, 2018 12:02 pm

I recently downloaded the latest version of GZDoom (3.3.2) and the Aetherius mod seems to be incompatible with it.

The error message when I try to start it up reads:

Script error, "DV-DS-ComboPack-master.zip:gldefs.txt" line 1
Error parsing defs. Unknown tag: lightsizefactor
User avatar
IDKrisis
Dreaming in Pixels
 
Joined: 08 Jan 2018

Re: Aetherius [(GZDoom 3.3.1+) for Doom/Heretic/Hexen/Strife

Postby Lord Misfit » Tue Apr 24, 2018 12:36 pm

IDKrisis wrote:I recently downloaded the latest version of GZDoom (3.3.2) and the Aetherius mod seems to be incompatible with it.

The error message when I try to start it up reads:

Script error, "DV-DS-ComboPack-master.zip:gldefs.txt" line 1
Error parsing defs. Unknown tag: lightsizefactor


Crap, I forgot, yeah. That "lightsizefactor" is a GLDEFS related thing introduced in a somewhat recent, post 3.3.2 devbuild, since dynamic lights appearantly underwent a change of sorts, and that command was recommended to people as a means to get them back to the way they were before the change. http://devbuilds.drdteam.org/gzdoom/gzd ... 6ce92e2.7z is the current devbuild as of this post, and that will work. Alternatively, you can open the GLDEFs file in the main folder and omit the "lightsizefactor" command at the very top and it'll run fine in 3.3.2. :P
User avatar
Lord Misfit
Servant of Aetherius? Servant of Siel?
 
Joined: 27 Dec 2006
Location: Canton, OH
Discord: Lord Misfit#9594

Re: Aetherius [(GZDoom 3.3.2+) for Doom/Heretic/Hexen/Strife

Postby Apteral10 » Wed Apr 25, 2018 11:12 pm

Sorry from bothering you again after the small argument about how you update this but I have two things to tell about this mod.

So far still it is one of the most enjoyable mods I have played. Although I have two problems with this (Which don't have anything to do how to actually run the mod) my first issue is with deftness. It in general kinda trivializes the late game because of how much EXP you get once it gets to around... 150 or above. Second issue I have is with Agility. Get that ability above... 30 or more and you are going to have bit of a difficult time controlling the character you play as in general.

I enjoy playing as the mage character the most because it is challenging. I hope this helps.
Apteral10
 
Joined: 20 Jan 2018

Re: Aetherius [(GZDoom 3.3.2+) for Doom/Heretic/Hexen/Strife

Postby fakemai » Thu Apr 26, 2018 4:07 am

Something is making your mod die horribly on my system, at least more recent versions.

Code: Select allExpand view
$ gzdoom -iwad doom2.wad -file ~/rom/pwad/mod/DV-DS-ComboPack
GZDoom g3.4pre-295-g10b869ba1 - 2018-04-26 10:40:09 +0300 - SDL version
Compiled on Apr 26 2018

M_LoadDefaults: Load system defaults.
W_Init: Init WADfiles.
 adding /home/mai/opt/gzdoom/share/games/doom/gzdoom.pk3, 625 lumps
 adding /home/mai/opt/gzdoom/share/games/doom/zd_extra.pk3, 132 lumps
 adding /home/mai/rom/iwad/doom2.wad, 2919 lumps
 adding /home/mai/rom/pwad/mod/DV-DS-ComboPack, 12022 lumps
I_Init: Setting up machine state.
CPU Vendor ID: GenuineIntel
  Name: Intel(R) Core(TM)2 Duo CPU L9400 @ 1.86GHz
  Family 6, Model 23, Stepping 10
  Features: SSE2 SSE3 SSSE3 SSE4.1 HyperThreading
I_InitSound: Initializing OpenAL
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
jack server is not running or cannot be started
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for 4294967295, skipping unlock
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for 4294967295, skipping unlock
  Opened device PCM2902 Audio Codec Analog Stereo
  EFX enabled
V_Init: allocate screen.
S_Init: Setting up sound.
ST_Init: Init startup screen.
Checking cmd-line parameters...
S_InitData: Load sound definitions.
G_ParseMapInfo: Load map definitions.
Texman.Init: Init texture manager.
ParseTeamInfo: Load team definitions.
LoadActors: Load actor definitions.
gzdoom: /home/mai/src/git/gzdoom/src/scripting/backend/codegen.cpp:5491: virtual FxExpression* FxRandom::Resolve(FCompileContext&): Assertion `min->ValueType == ValueType' failed.
Aborted


I am able to run an older version (August 2017) without this crash, specifically commit 3b26d417dc1fa834e6656ffe2291d8a6a4b6d906 is where it started to give that error. System is a toaster running Debian Stable, this was tested with GZDoom 3.3.2 and also a current Git build.

EDIT: Also very minor quip: There's no need for thumbs.db files to be tracked by your repository.
User avatar
fakemai
 
Joined: 12 Feb 2018
Location: Australia
Operating System: Debian-like Linux (Debian, Ubuntu, Mint, etc) 64-bit
OS Test Version: No (Using Stable Public Version)
Graphics Processor: Intel (Legacy GZDoom)

Re: Aetherius [(GZDoom 3.3.2+) for Doom/Heretic/Hexen/Strife

Postby Lord Misfit » Thu Apr 26, 2018 10:20 am

To fakemai first:

fakemai wrote:Something is making your mod die horribly on my system, at least more recent versions.

Code: Select allExpand view
$ gzdoom -iwad doom2.wad -file ~/rom/pwad/mod/DV-DS-ComboPack
GZDoom g3.4pre-295-g10b869ba1 - 2018-04-26 10:40:09 +0300 - SDL version
Compiled on Apr 26 2018

M_LoadDefaults: Load system defaults.
W_Init: Init WADfiles.
 adding /home/mai/opt/gzdoom/share/games/doom/gzdoom.pk3, 625 lumps
 adding /home/mai/opt/gzdoom/share/games/doom/zd_extra.pk3, 132 lumps
 adding /home/mai/rom/iwad/doom2.wad, 2919 lumps
 adding /home/mai/rom/pwad/mod/DV-DS-ComboPack, 12022 lumps
I_Init: Setting up machine state.
CPU Vendor ID: GenuineIntel
  Name: Intel(R) Core(TM)2 Duo CPU L9400 @ 1.86GHz
  Family 6, Model 23, Stepping 10
  Features: SSE2 SSE3 SSSE3 SSE4.1 HyperThreading
I_InitSound: Initializing OpenAL
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
jack server is not running or cannot be started
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for 4294967295, skipping unlock
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for 4294967295, skipping unlock
  Opened device PCM2902 Audio Codec Analog Stereo
  EFX enabled
V_Init: allocate screen.
S_Init: Setting up sound.
ST_Init: Init startup screen.
Checking cmd-line parameters...
S_InitData: Load sound definitions.
G_ParseMapInfo: Load map definitions.
Texman.Init: Init texture manager.
ParseTeamInfo: Load team definitions.
LoadActors: Load actor definitions.
gzdoom: /home/mai/src/git/gzdoom/src/scripting/backend/codegen.cpp:5491: virtual FxExpression* FxRandom::Resolve(FCompileContext&): Assertion `min->ValueType == ValueType' failed.
Aborted


I am able to run an older version (August 2017) without this crash, specifically commit 3b26d417dc1fa834e6656ffe2291d8a6a4b6d906 is where it started to give that error. System is a toaster running Debian Stable, this was tested with GZDoom 3.3.2 and also a current Git build.

EDIT: Also very minor quip: There's no need for thumbs.db files to be tracked by your repository.


Debian is unfortunately an OS I've NEVER really even heard of until now [I've heard the NAME before, but I never knew it was an OS until now, for example], so I have no idea how anything runs on it vs Windows 7/10, which is what I mostly use. That also being said, the error at the end of your log is completely new to me, so I can't say I'd really know what to do based on it alone.

Though, looking at the commit you referenced [@ https://github.com/LordMisfit/DV-DS-Com ... a6a4b6d906 ], it seems the majority of the changes made in that version where to ACS checks for if the player can dash, and mostly some ZScriptification of monsters' checks for if they can do crisis attacks and moving their vars into the base actor in the ZScript code. I can't think of what that might do to crash/error out the mod, since that was a fair bit of time after I started using ZScript [so it's not like it was the first foray into it].

Yeah, very sorry, but on this, I don't know if I can really be of any help. Someone else who uses Debian might be a bit more qualified to help you than me. :\



Now to Apteral10:

Apteral10 wrote:Sorry from bothering you again after the small argument about how you update this but I have two things to tell about this mod.

So far still it is one of the most enjoyable mods I have played. Although I have two problems with this (Which don't have anything to do how to actually run the mod) my first issue is with deftness. It in general kinda trivializes the late game because of how much EXP you get once it gets to around... 150 or above. Second issue I have is with Agility. Get that ability above... 30 or more and you are going to have bit of a difficult time controlling the character you play as in general.

I enjoy playing as the mage character the most because it is challenging. I hope this helps.


For Deftness, 48 points = +100% EXP bonus, so if you have 144+, you're basically getting 4x EXP, so I can see where you might be leveling fast. However that said, that is an option you can change in "AETHERIUS - EXP/COMBO SYSTEM OPTIONS > DEFTNESS BASE (FOR +100% EXPERIENCE)". You can set that to a much higher number to dampen the stat's effect on things [you can also go to "AETHERIUS - CHEAT-LIKE OPTIONS > LEVEL EXP GAINED (%)" and set it lower, and everything will give less EXP [the option is also there for the Sceptre's individual EXP gains too right below it].

For movement speed in relation to Agility though, there's no specific setting for it like for Deftness to EXP, but your Level also affects movement speed to some extent. That however can be turned off in "AETHERIUS - SPECIAL GAME OPTIONS > LEVEL AFFECTS MOVEMENT SPEED". Also, high Stamina levels giving you speed boosts[or low Stamina levels slowing you down] can also be toggled on/off there too, along with a general movement speed modifier [thanks to argv_minus_one for the suggestion in the past].
User avatar
Lord Misfit
Servant of Aetherius? Servant of Siel?
 
Joined: 27 Dec 2006
Location: Canton, OH
Discord: Lord Misfit#9594

Re: Aetherius [(GZDoom 3.3.2+) for Doom/Heretic/Hexen/Strife

Postby fakemai » Fri Apr 27, 2018 1:53 am

Lord Misfit wrote:Yeah, very sorry, but on this, I don't know if I can really be of any help. Someone else who uses Debian might be a bit more qualified to help you than me. :\

It's cool, I was mostly bouncing this off you in case you had a better idea than me since I can only read ACS/ZScript to an extent. It bothers me that it's only affecting my system though so maybe it's how it was built, or there's an actual bug in GZDoom. I don't know. I'll probably open up a thread in tech support once I've had more of a play with it.
User avatar
fakemai
 
Joined: 12 Feb 2018
Location: Australia
Operating System: Debian-like Linux (Debian, Ubuntu, Mint, etc) 64-bit
OS Test Version: No (Using Stable Public Version)
Graphics Processor: Intel (Legacy GZDoom)

Re: Aetherius [(GZDoom 3.3.2+) for Doom/Heretic/Hexen/Strife

Postby drfrag » Thu May 31, 2018 12:43 pm

fakemai wrote:It's cool, I was mostly bouncing this off you in case you had a better idea than me since I can only read ACS/ZScript to an extent. It bothers me that it's only affecting my system though so maybe it's how it was built, or there's an actual bug in GZDoom. I don't know. I'll probably open up a thread in tech support once I've had more of a play with it.

This looks like a GZDoom bug only present with gcc, i've managed to reproduce it with MinGW in the legacy branch. I'll report it now.
User avatar
drfrag
Os voy a romper a pedazos!
Vintage GZDoom Developer
 
Joined: 23 Apr 2004
Location: Spain
Discord: drfrag#3555
Github ID: drfrag666

Re: Aetherius [(GZDoom 3.3.2+) for Doom/Heretic/Hexen/Strife

Postby MisterPhantom » Fri Jun 08, 2018 5:41 am

I have no idea on how to play this mod, I keep getting the lightsizefactor error when try to load it up on Doom
MisterPhantom
 
Joined: 17 Apr 2018

PreviousNext

Return to Gameplay Mods

Who is online

Users browsing this forum: electrodragon554 and 9 guests